RHEL 7 High Availability Add-on

Latest response

Hi Team,

From where can i get the red hat enterprise linux 7 high availability add-on for trial version, because I am working to build a test cluster between two node on two different site, but I stuck with HA add-on, where i tried to find evaluation version to download it but unfortunately nothing find .

kindly your support.

Thanks

Responses

Hi,

If you have downloaded the DVD ISO (RHEL-7.--Server-x86_64-dvd1.iso), you have the HA packages already; they are in the "addons" directory.

If your evaluation subscription is still valid, I believe you should be able to enable the HA repo, whose name is "rhel-ha-for-rhel-7-server-rpms".

See https://access.redhat.com/solutions/45930 for information on how to install the HA packages afterward.

Hi Radek Bíba,

Thanks for your replay, but when i checked the RHEL-7 ISO image on addons folder only i found the below packages under HighAvailability folder, and i don't find this rpm "rhel-ha-for-rhel-7-server-rpms" your advice please.

Note: And My machine can't be connect to internet.

Thanks

clufter-cli-0.50.4-1.el7.noarch.rpm clufter-lib-ccs-0.50.4-1.el7.noarch.rpm clufter-lib-general-0.50.4-1.el7.noarch.rpm clufter-lib-pcs-0.50.4-1.el7.noarch.rpm corosync-2.3.4-7.el7.x86_64.rpm corosynclib-2.3.4-7.el7.i686.rpm corosynclib-2.3.4-7.el7.x86_64.rpm corosynclib-devel-2.3.4-7.el7.i686.rpm corosynclib-devel-2.3.4-7.el7.x86_64.rpm libqb-0.17.1-2.el7.i686.rpm libqb-0.17.1-2.el7.x86_64.rpm libqb-devel-0.17.1-2.el7.i686.rpm libqb-devel-0.17.1-2.el7.x86_64.rpm omping-0.0.4-6.el7.x86_64.rpm pacemaker-1.1.13-10.el7.x86_64.rpm pacemaker-cli-1.1.13-10.el7.x86_64.rpm pacemaker-cluster-libs-1.1.13-10.el7.i686.rpm pacemaker-cluster-libs-1.1.13-10.el7.x86_64.rpm pacemaker-cts-1.1.13-10.el7.x86_64.rpm pacemaker-doc-1.1.13-10.el7.x86_64.rpm pacemaker-libs-1.1.13-10.el7.i686.rpm pacemaker-libs-1.1.13-10.el7.x86_64.rpm pacemaker-libs-devel-1.1.13-10.el7.i686.rpm pacemaker-libs-devel-1.1.13-10.el7.x86_64.rpm pacemaker-nagios-plugins-metadata-1.1.13-10.el7.x86_64.rpm pacemaker-remote-1.1.13-10.el7.x86_64.rpm pcs-0.9.143-15.el7.x86_64.rpm python-clufter-0.50.4-1.el7.x86_64.rpm repodata resource-agents-3.9.5-54.el7.x86_64.rpm sbd-1.2.1-5.el7.x86_64.rpm TRANS.TBL

Right, these are the HA packages. Were you looking for a package that's not available in this folder?

"rhel-ha-for-rhel-7-server-rpms" is the repo ID which you would use with Subscription Manager. If your system doesn't have internet access, you can only use the packages from the DVD image, which also provides repodata for Yum. See https://access.redhat.com/solutions/1355683 for instructions on how to add the repo from the DVD to your Yum configuration

Hola, como puedo habilitar el repositorio HA, cuyo nombre es "rhel-ha-for-rhel-7-server-rpms". y el Repository: rhel-rs-for-rhel-7-server-rpms, Estoy configurando el cluster y cuando voy a configurar el GFS2, me presenta problemas al configurar el dlm.

Failed Actions: * dlm_stop_0 on server.xxxl 'unknown error' (1): call=40, status=Timed Out, exitreason='none', last-rc-change='Mon Apr 30 16:11:08 2018', queued=0ms, exec=100003ms * dlm_start_0 on server2.xxxxl 'not configured' (6): call=32, status=complete, exitreason='none', last-rc-change='Mon Apr 30 16:11:08 2018', queued=0ms, exec=50ms Agradezco mucho en lo que nos puedas colaborar

Hola "Adminstrador Linux",

Two things I would like to point out to you.

1) Most of the forum members are foreigners from all over the world. So English might be a better language choice.

2) Please show your given name, either in a signature or in the display name. Linux Administrator or Linux Developer suites us all.

Dos cosas que me gustaría señalarte.

1) La mayoría de los miembros del foro son extranjeros de todo el mundo. Entonces, el inglés podría ser una mejor elección de idioma.

2) Por favor, muestre su nombre de pila, ya sea en una firma o en el nombre para mostrar. El administrador de Linux o el desarrollador de Linux nos sirve a todos.

Regards,

Jan Gerrit

Does Google translate your question correctly:

how can I enable the HA repository, whose name is "rhel-ha-for-rhel-7-server-rpms". and the Repository: rhel-rs-for-rhel-7-server-rpms,

Failed Actions: * dlm_stop_0 on server.xxxl 'unknown error' (1): call=40, status=Timed Out, exitreason='none', last-rc-change='Mon Apr 30 16:11:08 2018', queued=0ms, exec=100003ms * dlm_start_0 on server2.xxxxl 'not configured' (6): call=32, status=complete, exitreason='none', last-rc-change='Mon Apr 30 16:11:08 2018', queued=0ms, exec=50ms

I appreciate so much in what you can help us.

I am configuring the cluster and when I am going to configure the GFS2, it presents problems when configuring the dlm.

delete this entry, need multiple steps to use Google translate.

delete this entry, need multiple steps to use Google translate.

delete this entry, need multiple steps to use Google translate.

Hi, how can I enable the HA repository, whose name is "rhel-ha-for-rhel-7-server-rpms". and the Repository: rhel-rs-for-rhel-7-server-rpms, I am configuring the cluster and when I am going to configure the GFS2, it presents problems when configuring the dlm.

Take the following error: Failed Actions: * dlm_stop_0 on server.xxxl 'unknown error' (1): call = 40, status = Timed Out, exitreason = 'none', last-rc-change = 'Mon Apr 30 16:11:08 2018', queued = 0ms, exec = 100003ms * dlm_start_0 on server2.xxxxl 'not configured' (6): call = 32, status = complete, exitreason = 'none', last-rc-change = 'Mon Apr 30 16:11:08 2018 ', queued = 0ms, exec = 50ms I really appreciate what you can help us with.

Also: mount: mount /dev/sdb1 on /kiwifs failed: Transport endpoint is not connected

Thank: FabianF - dc.linux

Yes, you could enable it using "subscription-manager" command:

  • To view list of enabled repositories : subscription-manager repos --list-enabled

  • To enable a repo : subscription-manager --enable

So, to enable 'rhel-ha-for-rhel-7-server-rpms' : subscription-manager --enable rhel-ha-for-rhel-7-server-rpms

The problem is that it does not leave me, we have a subscription with satellite. in the list of repositories is not and I do not know how to attach it to my subscription, or if it has an additional cost

xxxxx ~]# subscription-manager repos --enable rhel-rs-for-rhel-7-server-rpms Error: 'rhel-rs-for-rhel-7-server-rpms' does not match a valid repository ID. Use "subscription-manager repos --list" to see valid repositories. Thank you